Skip to main content
POST
/
accountsets
Create account set
curl --request POST \
  --url https://api.example.com/accountsets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "name": "<string>",
  "salesAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "incomeAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "taxAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deferralAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.example.com/accountsets"

payload = {
"name": "<string>",
"salesAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incomeAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deferralAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
salesAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
incomeAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
taxAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deferralAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.example.com/accountsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "salesAccount": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "accountingCode": "<string>",
    "barred": true
  },
  "taxAccount": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "accountingCode": "<string>",
    "barred": true
  },
  "incomeAccount": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "accountingCode": "<string>",
    "barred": true
  },
  "deferralAccount": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "accountingCode": "<string>",
    "barred": true
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Body

application/json
name
string | null
required
salesAccountId
string<uuid>
required
incomeAccountId
string<uuid>
required
taxAccountId
string<uuid>
required
deferralAccountId
string<uuid>
required
recognitionStrategy
enum<string>
Available options:
none,
even_distribution,
exact_daily_accrual,
daily_accrual

Response

OK

name
string | null
required

Name of the accountset.

salesAccount
object
required
taxAccount
object
required
incomeAccount
object
required
deferralAccount
object
required
id
string<uuid>

Unique id of the accountset.

revenueRecognitionStrategy
enum<string>
Available options:
none,
even_distribution,
exact_daily_accrual,
daily_accrual